Register Loyalty Partner

To integrate your loyalty solution with Deliverect Loyalty, you will need to provide a registration URL. This URL will be invoked when a merchant initiates the setup of loyalty services in Deliverect.

During this setup, the merchant will be prompted to enter an API key, which must be pre-issued by the loyalty platform. Subsequently, Deliverect will call the provided registration URL to retrieve all necessary additional details to complete the integration process.

Payload Details

ParameterTypeDescription
accountIdstringThe merchant's account Id in Deliverect
loyaltyProfileIdstringThe Id of the profile where the response configuration was stored
apiKeystringA unique identifier, typically a string of characters, used to authenticate and authorize a user, application, or project when interacting with an API.

{
    "account": "6401c934c43f86ebfedaeb9c",
    "accountId": "6401c934c43f86ebfedaeb9c",
    "loyaltyProfileId": "67acb1893b57bab8866dfa4c",
    "apiKey": "123***890"
}

Response Details

AttributeTypeRequiredDescription
customerURLstringYesThis webhook is used to create a new user or retrieve user details.
customerWalletURLstringYesThis webhook is used to retrieve the customer's wallet details, such as available points and cash balance.
loyaltyProgramsURLstringYesThis webhook is called by our system to retrieve all loyalty programs a customer is eligible for.
orderURLstringYesWhenever a customer places an order, the order details will be sent to this endpoint in order to award points to the customer and consume applied programs.
validateWalletURLstringNoThis webhook is initiated by our system to validate a customer's request to use cash or points from their loyalty wallet as a discount on a current order.
loyaltyValidateProgramsURLstringNoThis webhook is called to validate a customer's selected loyalty programs against their current order.
tiersURLstringNoUsed to list all the available tier's and the progression path.
oauthUrlstringNoBase URL for OAuth workflows.
oauthClientIdstringNoA unique identifier assigned to an application that is requesting access to a user's resources through the OAuth protocol.
oauthClientSecretstringNoAs a confidential string of characters that acts like a password for an application (the "client") when it needs to authenticate itself with an authorisation server.

{
    "customerURL": "https://yourserver.com/customer",
    "customerWalletURL": "https://yourserver.com/customerWallet",
    "validateWalletURL": "https://yourserver.com/validateWallet",
    "loyaltyProgramsURL": "https://yourserver.com/programs",
    "loyaltyValidateProgramsURL": "https://yourserver.com/validatePrograms",
    "orderURL": "https://yourserver.com/orders",
    "tiersURL": "https://yourserver.com/tiers",
    "oauthUrl": "https://yourserver.com/oauth",
    "oauthClientId": "myClientId",
    "oauthClientSecret": "zxcv1323"
}

Single Sign On (SSO)

For loyalty providers who which to provide SSO authentication, the following details will need to be provided in the response in order to enable SSO:

  • oauthUrl
  • oauthClientId
  • oauthClientSecret
Body Params
string

A unique identifier, typically a string of characters, used to authenticate and authorize a user, application, or project when interacting with an API.

string

The Id of the profile where the response configuration was stored

string

The Deliverect's account id of the customer.

Headers
string
Defaults to Deliverect/{version}

Deliverect/{version}

string
Defaults to {signature}

{signature}

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json